Retrieves all the user_planning_slot
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "988337c4-0ef9-4eee-a91d-8a2e58b3db3e",
"user_id": "c1f9f09d-0482-4fc1-8245-a06c6c8fef7a",
"user_planning_slot_type_id": "52747509-7853-4ce9-a341-319522efc040",
"date_from": "2026-02-24T16:16:55.3861009+00:00",
"date_to": "2026-02-24T16:16:55.3861009+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-02-24T16:16:55.3861009+00:00"
}